## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
# Test bus::vtable::vtable_bitfield failed on S390X (rhbz1954360)
# https://bugzilla.redhat.com/show_bug.cgi?id=1954360
# https://github.com/jmesmon/rust-systemd/issues/191
%ifarch s390x
%bcond_with check
%else
%bcond_without check
%endif
%global debug_package %{nil}

%global crate libsystemd-sys

Name:           rust-%{crate}
Version:        0.9.3
Release:        %autorelease
Summary:        FFI bindings to libsystemd and libelogind

# Upstream license specification: LGPL-2.1-or-later WITH GCC-exception-2.0
License:        LGPLv2+ with exceptions
URL:            https://crates.io/crates/libsystemd-sys
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
FFI bindings to libsystemd and libelogind.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       systemd-devel

%description    devel %{_description}

This package contains library source intended for building other packages which 
use "%{crate}" crate.

%files          devel
%license COPYING
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which 
use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+bus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bus-devel %{_description}

This package contains library source intended for building other packages which 
use "bus" feature of "%{crate}" crate.

%files       -n %{name}+bus-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+journal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+journal-devel %{_description}

This package contains library source intended for building other packages which 
use "journal" feature of "%{crate}" crate.

%files       -n %{name}+journal-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+systemd_v245-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       systemd-devel >= 245

%description -n %{name}+systemd_v245-devel %{_description}

This package contains library source intended for building other packages which
use the "systemd_v245" feature of the "%{crate}" crate.

%files       -n %{name}+systemd_v245-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo "systemd-devel"

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Dec 11 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.9.3-1
- Update to version 0.9.3; Fixes RHBZ#2030957

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.9.0-2
- Reactivate s390x arch by deactivating tests

* Thu Jun 03 2021 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0.
- Fixes RHBZ#1967399

* Wed May 19 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.0-3
- Rebuild for build-env 0.3.1

* Tue Apr 27 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.0-2
- Remove support for architecture s390x (rhbz1954360)

* Mon Mar 29 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.8.0-1
- Initial package

